package com.zm.order.tool.server.service;

import com.zm.order.tool.server.request.history.HistoryOrderRequest;
import com.zm.order.tool.server.response.OrderVO;
import com.zm.util.dto.Result;

import java.util.List;

/**
 * @author nianchang
 * @ClassName ThirdOrderService
 * @date 2021/11/08 10:56 上午
 */
public interface HistoryOrderService {

    Result<List<OrderVO>> select(HistoryOrderRequest request);

    Result<List<OrderVO>> selectAndInsert(HistoryOrderRequest request);

    void batchSelectAndInsert(List<String> orderNoList, Integer syncFlag);

    void inHistoryOrder(Long sellerId);

}
